[EnvInject] - Mask passwords passed as build parameters. GitHub pull request #452 of commit b5aa7237de5bf8ed4b5e11957c565a043795f73b automatically merged. [EnvInject] - Loading node environment variables. Building remotely on amp-jenkins-staging-worker-02 (ubuntu staging-02 staging) in workspace /home/jenkins/workspace/Modin-Performance-PRB [WS-CLEANUP] Deleting project workspace... [WS-CLEANUP] Done Cloning the remote Git repository Cloning repository https://github.com/modin-project/modin > git init /home/jenkins/workspace/Modin-Performance-PRB # timeout=10 Fetching upstream changes from https://github.com/modin-project/modin > git --version # timeout=10 > git fetch --tags --progress https://github.com/modin-project/modin +refs/heads/*:refs/remotes/origin/* > git config remote.origin.url https://github.com/modin-project/modin # timeout=10 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10 > git config remote.origin.url https://github.com/modin-project/modin # timeout=10 Fetching upstream changes from https://github.com/modin-project/modin > git fetch --tags --progress https://github.com/modin-project/modin +refs/pull/*:refs/remotes/origin/pr/* > git rev-parse origin/pr/452/merge^{commit} # timeout=10 > git branch -a -v --no-abbrev --contains e9aea70bbe6c68d17fa2ea16f605e8751b5da98d # timeout=10 Checking out Revision e9aea70bbe6c68d17fa2ea16f605e8751b5da98d (origin/pr/452/merge) > git config core.sparsecheckout # timeout=10 > git checkout -f e9aea70bbe6c68d17fa2ea16f605e8751b5da98d First time build. Skipping changelog. [Modin-Performance-PRB] $ /bin/sh -xe /tmp/hudson8940828261662478678.sh + export BUCKET_SUFFIX=PR + bash .jenkins/performance-tests/run_perf_ci.sh ++ git rev-parse --verify --short HEAD + sha_tag=e9aea70 + docker build -t modin-project/perf-test:e9aea70 -f .jenkins/performance-tests/Dockerfile . Sending build context to Docker daemon 9.077MB Step 1/7 : FROM python:3.6.6-stretch ---> 8256ec07b2ad Step 2/7 : COPY requirements.txt requirements.txt ---> Using cache ---> d60aa13e588c Step 3/7 : RUN pip install -r requirements.txt ---> Using cache ---> c754d37a5c8e Step 4/7 : RUN pip install -q pytest==3.9.3 awscli pytest-benchmark feather-format lxml openpyxl xlrd numpy matplotlib sqlalchemy ---> Running in f4d0f3a0c9e4 You are using pip version 18.1, however version 19.0.1 is available. You should consider upgrading via the 'pip install --upgrade pip' command. Removing intermediate container f4d0f3a0c9e4 ---> 255619bd8dfd Step 5/7 : COPY . . ---> 8ecf2a677eff Step 6/7 : RUN pip install -e . ---> Running in ef36f28b8c87 Obtaining file:/// Requirement already satisfied: pandas==0.23.4 in /usr/local/lib/python3.6/site-packages (from modin==0.3.0) (0.23.4) Requirement already satisfied: ray==0.6.2 in /usr/local/lib/python3.6/site-packages (from modin==0.3.0) (0.6.2) Requirement already satisfied: numpy<=1.15.0 in /usr/local/lib/python3.6/site-packages (from modin==0.3.0) (1.15.0) Requirement already satisfied: python-dateutil>=2.5.0 in /usr/local/lib/python3.6/site-packages (from pandas==0.23.4->modin==0.3.0) (2.7.5) Requirement already satisfied: pytz>=2011k in /usr/local/lib/python3.6/site-packages (from pandas==0.23.4->modin==0.3.0) (2018.9) Requirement already satisfied: pytest in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (3.9.3) Requirement already satisfied: click in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (7.0) Requirement already satisfied: six>=1.0.0 in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (1.12.0) Requirement already satisfied: colorama in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (0.3.9) Requirement already satisfied: funcsigs in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (1.0.2) Requirement already satisfied: filelock in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (3.0.10) Requirement already satisfied: pyyaml in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (3.13) Requirement already satisfied: redis in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (3.1.0) Requirement already satisfied: flatbuffers in /usr/local/lib/python3.6/site-packages (from ray==0.6.2->modin==0.3.0) (1.10) Requirement already satisfied: setuptools in /usr/local/lib/python3.6/site-packages (from pytest->ray==0.6.2->modin==0.3.0) (40.4.3) Requirement already satisfied: pluggy>=0.7 in /usr/local/lib/python3.6/site-packages (from pytest->ray==0.6.2->modin==0.3.0) (0.8.1) Requirement already satisfied: atomicwrites>=1.0 in /usr/local/lib/python3.6/site-packages (from pytest->ray==0.6.2->modin==0.3.0) (1.3.0) Requirement already satisfied: attrs>=17.4.0 in /usr/local/lib/python3.6/site-packages (from pytest->ray==0.6.2->modin==0.3.0) (18.2.0) Requirement already satisfied: more-itertools>=4.0.0 in /usr/local/lib/python3.6/site-packages (from pytest->ray==0.6.2->modin==0.3.0) (5.0.0) Requirement already satisfied: py>=1.5.0 in /usr/local/lib/python3.6/site-packages (from pytest->ray==0.6.2->modin==0.3.0) (1.7.0) Installing collected packages: modin Running setup.py develop for modin Successfully installed modin You are using pip version 18.1, however version 19.0.1 is available. You should consider upgrading via the 'pip install --upgrade pip' command. Removing intermediate container ef36f28b8c87 ---> 2ec991358aa0 Step 7/7 : ENTRYPOINT ["bash", ".jenkins/performance-tests/run_perf_test.sh"] ---> Running in 269b48a7f17b Removing intermediate container 269b48a7f17b ---> 3032d45b5cd5 Successfully built 3032d45b5cd5 Successfully tagged modin-project/perf-test:e9aea70 + docker run --rm --shm-size=1g -e AWS_ACCESS_KEY_ID=**** -e AWS_SECRET_ACCESS_KEY=**** -e BUCKET_SUFFIX=PR modin-project/perf-test:e9aea70 + source activate py3 .jenkins/performance-tests/run_perf_test.sh: line 3: activate: No such file or directory + python -c 'import ray; ray.init()' /usr/local/lib/python3.6/importlib/_bootstrap.py:219: RuntimeWarning: numpy.dtype size changed, may indicate binary incompatibility. Expected 96, got 88 return f(*args, **kwds) /usr/local/lib/python3.6/importlib/_bootstrap.py:219: RuntimeWarning: numpy.dtype size changed, may indicate binary incompatibility. Expected 96, got 88 return f(*args, **kwds) WARNING: Not updating worker name since `setproctitle` is not installed. Install this with `pip install setproctitle` (or ray[debug]) to enable monitoring of worker processes. Process STDOUT and STDERR is being redirected to /tmp/ray/session_2019-02-03_21-02-24_7/logs. Waiting for redis server at 127.0.0.1:23974 to respond... Waiting for redis server at 127.0.0.1:42913 to respond... Starting Redis shard with 10.0 GB max memory. Warning: Capping object memory store to 20.0GB. To increase this further, specify `object_store_memory` when calling ray.init() or ray start. WARNING: The object store is using /tmp instead of /dev/shm because /dev/shm has only 1073741824 bytes available. This may slow down performance! You may be able to free up space by deleting files in /dev/shm or terminating any running plasma_store_server processes. If you are inside a Docker container, you may need to pass an argument with the flag '--shm-size' to 'docker run'. Starting the Plasma object store with 20.0 GB memory using /tmp. Failed to start the UI, you may need to run 'pip install jupyter'. + MODIN_ENGINE=dask + pytest --benchmark-autosave --disable-pytest-warnings modin/pandas/test/performance-tests/test_performance.py ============================= test session starts ============================== platform linux -- Python 3.6.6, pytest-3.9.3, py-1.7.0, pluggy-0.8.1 benchmark: 3.2.2 (defaults: timer=time.perf_counter disable_gc=False min_rounds=5 min_time=0.000005 max_time=1.0 calibration_precision=10 warmup=False warmup_iterations=100000) rootdir: /, inifile: plugins: benchmark-3.2.2 collected 0 items ========================= no tests ran in 0.01 seconds ========================= /usr/local/lib/python3.6/site-packages/pytest_benchmark/logger.py:44: PytestBenchmarkWarning: Not saving anything, no benchmarks have been run! warner(PytestBenchmarkWarning(text)) + MODIN_ENGINE=python + pytest --benchmark-autosave --disable-pytest-warnings modin/pandas/test/performance-tests/test_performance.py ============================= test session starts ============================== platform linux -- Python 3.6.6, pytest-3.9.3, py-1.7.0, pluggy-0.8.1 benchmark: 3.2.2 (defaults: timer=time.perf_counter disable_gc=False min_rounds=5 min_time=0.000005 max_time=1.0 calibration_precision=10 warmup=False warmup_iterations=100000) rootdir: /, inifile: plugins: benchmark-3.2.2 collected 0 items ========================= no tests ran in 0.01 seconds ========================= /usr/local/lib/python3.6/site-packages/pytest_benchmark/logger.py:44: PytestBenchmarkWarning: Not saving anything, no benchmarks have been run! warner(PytestBenchmarkWarning(text)) + pytest --benchmark-autosave --disable-pytest-warnings modin/pandas/test/performance-tests/test_performance.py ============================= test session starts ============================== platform linux -- Python 3.6.6, pytest-3.9.3, py-1.7.0, pluggy-0.8.1 benchmark: 3.2.2 (defaults: timer=time.perf_counter disable_gc=False min_rounds=5 min_time=0.000005 max_time=1.0 calibration_precision=10 warmup=False warmup_iterations=100000) rootdir: /, inifile: plugins: benchmark-3.2.2 collected 0 items ========================= no tests ran in 0.02 seconds ========================= /usr/local/lib/python3.6/site-packages/pytest_benchmark/logger.py:44: PytestBenchmarkWarning: Not saving anything, no benchmarks have been run! warner(PytestBenchmarkWarning(text)) ++ git rev-parse --verify --short HEAD + sha_tag=e9aea70 + aws s3 cp '.benchmarks/*/*.json' s3://modin-jenkins-result/e9aea70-perf-PR/ --acl public-read The user-provided path .benchmarks/*/*.json does not exist. + rm -rf .benchmarks Test PASSed. Refer to this link for build results (access rights to CI server needed): https://amplab.cs.berkeley.edu/jenkins//job/Modin-Performance-PRB/381/ Test PASSed. Finished: SUCCESS